### A free/open-source library for quantitative finance

Public Member Functions
KirkEngine Class Reference
Basket option engines

Pricing engine for spread option on two futures. More...

`#include <ql/pricingengines/basket/kirkengine.hpp>`

Inheritance diagram for KirkEngine:
[legend]

List of all members.

## Public Member Functions

| KirkEngine (const boost::shared_ptr< BlackProcess > &process1, const boost::shared_ptr< BlackProcess > &process2, Real correlation)
void | calculate () const

## Detailed Description

Pricing engine for spread option on two futures.

This class implements formulae from "Correlation in the Energy Markets", E. Kirk Managing Energy Price Risk. London: Risk Publications and Enron, pp. 71-78

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.